# List credit memo applications Lists credit memo applications. You can use the query parameters to filter, expand, and sort the returned results. Endpoint: GET /object-query/credit-memo-applications Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Query parameters: - `pageSize` (integer) The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error. - `cursor` (string) A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list. - `sort[]` (array) A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored. Supported sortable fields: - id - updateddate - effectivedate - accountid - applicationgroupid - debitmemoid - invoiceid - `expand[]` (array) Allows you to expand responses by including related object information in a single call. Enum: "creditmemo" - `filter[]` (array) A case-insensitive filter on the list. Supported filterable fields: - id - updateddate - effectivedate - accountid - applicationgroupid - debitmemoid - invoiceid - {indexedcustomfield}: Use the format like customField__c to filter on custom fields. - `fields[]` (array) A case-insensitive query parameter that allows you to specify which fields are returned in the response. Example: "id,createddate" - `includeNullFields` (boolean) Specifies whether to include fields with the null value in the response. - If set to true, all fields will be returned in the response, including those with the null value. - If set to false, only fields with non-null values will be returned. ## Response 200 fields (application/json): - `nextPage` (string,null) A string that can be used as the cursor value to retrieve the next page of the response if it exists; otherwise absent. - `data` (array) - `data.id` (string) The unique identifier of the credit memo application. - `data.createdById` (string) The unique identifier of the user who created the credit memo application. - `data.createdDate` (string) The date and time when the credit memo application was created. - `data.updatedById` (string) The unique identifier of the user who last updated the credit memo application. - `data.updatedDate` (string) The date and time when the credit memo application was last updated. - `data.amount` (number) The application amount of the credit memo. - `data.effectiveDate` (string) The date when the credit memo application becomes effective. - `data.creditMemoId` (string) The ID of the credit memo associated with the credit memo application. - `data.accountId` (string) The ID of the customer account associated with the credit memo. - `data.applicationGroupId` (string) The ID of the application group to which this credit memo application belongs. - `data.debitMemoId` (string) The ID of the debit memo to which the credit memo is applied. - `data.invoiceId` (string) The ID of the invoice to which the credit memo is applied. - `data.creditMemo` (object) - `data.creditMemo.id` (string) The unique identifier of the credit memo. - `data.creditMemo.createdById` (string) The unique identifier of the user who created the credit memo. - `data.creditMemo.createdDate` (string) The date and time when the credit memo was created. - `data.creditMemo.updatedById` (string) The unique identifier of the user who last updated the credit memo. - `data.creditMemo.updatedDate` (string) The date and time when the credit memo was last updated. - `data.creditMemo.appliedAmount` (number) The applied amount of the credit memo. - `data.creditMemo.balance` (number) The remaining balance of credit memo. - `data.creditMemo.billToContactId` (string) The ID of the bill-to contact associated with the credit memo. The value of this field is null if you have the [Flexible Billing Attributes](https://docs.zuora.com/en/zuora-billing/bill-your-customer/leverage-advanced-capabilities/flexible-billing/flexible-billing-attributes/overview-of-flexible-billing-attributes) feature disabled. - `data.creditMemo.billToContactSnapshotId` (string) The ID of the bill-to contact snapshot associated with the credit memo. The value of this field is null if the bill rule [Preserve snapshot of bill-to and sold-to contacts when billing documents are posted](https://knowledgecenter.zuora.com/Zuora_Billing/Billing_and_Invoicing/Billing_Settings/Define_Billing_Rules#Preserve_snapshot_of_bill-to_and_sold-to_contacts_when_billing_documents_are_posted) is disabled. - `data.creditMemo.cancelledById` (string,null) The ID of the Zuora user who cancelled the credit memo. - `data.creditMemo.cancelledOn` (string,null) The date and time when the credit memo was cancelled, in yyyy-mm-dd hh:mm:ss format. - `data.creditMemo.comment` (string,null) Comments about the credit memo. - `data.creditMemo.currency` (string,null) The currency of the credit memo. Note: By default, the currency on a billing document matches the default currency set on the associated account. However, Zuora now offers a Multiple Currencies feature to support different currencies for billing documents, allowing flexibility beyond the account-level currency. For more information, see Multiple Currency. - `data.creditMemo.discountAmount` (number) The amount of the discount on the credit memo. - `data.creditMemo.einvoiceErrorCode` (string) The error code returned when the e-invoice file status is Failed. This code can either be a Zuora-generated error code or one returned by a third-party e-invoicing service provider. Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled. - `data.creditMemo.einvoiceErrorMessage` (string) The error message returned when the e-invoice file status is Failed. This message can either be a Zuora-generated error message or one returned by a third-party e-invoicing service provider. Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled. - `data.creditMemo.einvoiceFileId` (string) The ID of the e-invoice file generated for the credit memo. Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled. - `data.creditMemo.einvoiceStatus` (string) The status of the e-invoice file generation for the credit memo. - If e-invoice file generation succeeds, this field is either Generated or Success, and both the error code and message are empty, and the eInvoiceFileId field stores the ID of the generated e-invoice file. - If a failure occurs during e-invoice file generation, this field is Failed and an error code and an error message are returned respectively in the einvoiceErrorCode and einvoiceErrorMessage fields. - If e-invoice file generation conditionally succeeds, this field is ConditionalSuccess and an error code and an error message are returned respectively in the einvoiceErrorCode and einvoiceErrorMessage fields. - If the e-invoice file has been approved by the tax authority, this field is ApprovedByAuthority. The next status will be either Success or Rejected. - If the e-invoice file has been rejected by the government, this field is Rejected. You cannot resend this e-invoice; you must create a new invoice instead. Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled. Enum: "Processing", "Generated", "Success", "Failed", "ConditionalSuccess", "ApprovedByAuthority", "Rejected" - `data.creditMemo.excludeFromAutoApplyRules` (boolean) Whether the credit memo is excluded from the rule of automatically applying credit memos to invoices. - `data.creditMemo.exchangeRateDate` (string) The date of the exchange rate used. The date is in yyyy-mm-dd format. Corresponds to the value specified in the Provider Exchange Rate Date column in the Import Foreign Exchange Rates template when you uploaded the rates through the Mass Updater. - `data.creditMemo.autoApplyUponPosting` (boolean) Whether the credit memo automatically applies to the invoice upon posting. - `data.creditMemo.memoDate` (string) The date when the credit memo takes effect, in yyyy-mm-dd format. For example, 2024-01-01. - `data.creditMemo.memoNumber` (string) The unique identification number of the credit memo. - `data.creditMemo.postedById` (string) The ID of the Zuora user who posted the credit memo. - `data.creditMemo.postedOn` (string) The date and time when the credit memo was posted, in yyyy-mm-dd hh:mm:ss format. - `data.creditMemo.reasonCode` (string) A code identifying the reason for the transaction. The value must be an existing reason code or empty. - `data.creditMemo.refundAmount` (number) The amount of the refund on the credit memo. - `data.creditMemo.revenueImpacting` (string) Indicates whether this write off operation impacts the revenue. If revenueImpacting = Yes, the deferred revenue accounting code will be automatically selected from the associated invoice. If revenueImpacting = No, users can select an accounting code such as bad-debt expense accounting code for the write off operation. Enum: "Yes", "No" - `data.creditMemo.reversed` (boolean) Whether the credit memo is reversed. - `data.creditMemo.sequenceSetId` (string,null) The ID of the sequence set associated with the credit memo. The value of this field is null if you have the [Flexible Billing Attributes](https://docs.zuora.com/en/zuora-billing/bill-your-customer/leverage-advanced-capabilities/flexible-billing/flexible-billing-attributes/overview-of-flexible-billing-attributes) feature disabled. - `data.creditMemo.source` (string) The source of the credit memo. Possible values: - BillRun: The credit memo is generated by a bill run. - API: The credit memo is created by calling the [Invoice and collect](https://developer.zuora.com/api-references/api/operation/POST_TransactionInvoicePayment) operation, or by calling the Orders, Order Line Items, or Fulfillments API operations. - ApiSubscribe: The credit memo is created by calling the [Create subscription](https://developer.zuora.com/api-references/api/operation/POST_Subscription) and [Create account](https://developer.zuora.com/api-references/api/operation/POST_Account) operation. - ApiAmend: The credit memo is created by calling the [Update subscription](https://developer.zuora.com/api-references/api/operation/PUT_Subscription) operation. - AdhocFromPrpc: The credit memo is created from a product rate plan charge through the Zuora UI or by calling the [Create a credit memo from a charge](https://developer.zuora.com/api-references/api/operation/POST_CreditMemoFromPrpc) operation. - AdhocFromInvoice: The credit memo is created from an invoice or created by reversing an invoice. You can create a credit memo from an invoice through the Zuora UI or by calling the [Create credit memo from invoice](https://developer.zuora.com/api-references/api/operation/POST_CreditMemoFromInvoice) operation. You can create a credit memo by reversing an invoice through the Zuora UI or by calling the [Reverse invoice](https://developer.zuora.com/api-references/api/operation/PUT_ReverseInvoice) operation. Enum: "BillRun", "API", "ApiSubscribe", "ApiAmend", "AdhocFromPrpc", "AdhocFromInvoice" - `data.creditMemo.sourceId` (string) The ID of the credit memo source. If a credit memo is generated from a bill run, the value is the number of the corresponding bill run. Otherwise, the value is null. - `data.creditMemo.sourceType` (string) The type of the credit memo source. Enum: "Subscription", "Standalone", "Invoice", "Order", "CreditMemo", "Consolidation" - `data.creditMemo.status` (string) The status of the credit memo. Enum: "Draft", "Posted", "Canceled", "Error", "PendingForTax", "Generating", "CancelInProgress" - `data.creditMemo.targetDate` (string) The target date for the credit memo, in yyyy-mm-dd format. For example, 2024-01-01. - `data.creditMemo.taxAmount` (number) The amount of taxation. - `data.creditMemo.taxMessage` (string,null) The message about the status of tax calculation related to the credit memo. If tax calculation fails in one credit memo, this field displays the reason for the failure. - `data.creditMemo.taxStatus` (string) The status of tax calculation related to the credit memo. Note: This field is only applicable to tax calculation by third-party tax engines. Also, the Voided status indicates that the tax transaction is successfully canceled on the tax vendor's side. If a tax transaction was successfully committed to the third-party tax engine but the invoice failed to post, Zuora automatically detects the issue and voids the tax transaction on the vendor's side. Enum: "Complete", "Error", "UnknownError", "DuplicateDoc", "InvalidRequest", "InvalidResponse", "TaxEngineError", "ConcurrentModify", "InternalServerError", "TaxCodeTemplateError", "Voided" - `data.creditMemo.shipToContactSnapshotId` (string) The ID of the ship-to contact snapshot associated with the credit memo. Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `data.creditMemo.soldToContactSnapshotId` (string) The ID of the sold-to contact snapshot associated with the credit memo. Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `data.creditMemo.taxAutoCalculation` (boolean) Whether to automatically calculate taxes in the credit memo. - `data.creditMemo.totalAmount` (number) The total amount of the credit memo, including taxes. - `data.creditMemo.totalAmountWithoutTax` (number) The total amount of the credit memo, excluding taxes. - `data.creditMemo.totalTaxExemptAmount` (number) The calculated tax amount excluded due to the exemption. - `data.creditMemo.transferredToAccounting` (string) Whether the credit memo was transferred to an external accounting system. This field is used for integration with accounting systems such as NetSuite. Enum: "Processing", "Yes", "No", "Error", "Ignore" - `data.creditMemo.invoiceId` (string) The ID of a referred invoice. - `data.creditMemo.account` (object) The account associated with the credit memo. - `data.creditMemo.billToContact` (object) The bill-to contact on the account. - `data.creditMemo.creditMemoItems` (array) The credit memo items on the current credit memo. - `data.creditMemo.creditMemoApplications` (array) The credit memo applications associated with the current credit memo. ## Response 500 fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request. ## Response 4XX fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request.